StableOps
API 參考

查詢 Webhook 投遞列表

查詢 StableOps Webhook 投遞記錄,檢查嘗試次數、回應碼、失敗原因和下次重試時間,定位通知故障與待恢復任務。接收端應使用原始請求體驗籤,以事件標識去重,並在可靠儲存任務後應答成功。投遞可能重複、併發或亂序,重放與設定調整均需配合業務狀態核對。

GET/v1/webhook-deliveries

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Query Parameters

offset?number

Skip this many items before returning results (default 0).

limit?number

Page size (1-200, default 50).

payment_order_id?string
endpoint_id?string
status?string
replay_of_delivery_id?string

List direct replays of this delivery.

delivery_id?string

Find a delivery by its ID.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhook-deliveries"
{
  "items": [
    {
      "id": "string",
      "replay_of_delivery_id": "string",
      "webhook_endpoint_id": "string",
      "event_id": "string",
      "event_type": "payment_order.created",
      "payment_order_id": "string",
      "status": "pending",
      "attempts": 0,
      "response_status": -9007199254740991,
      "response_duration_ms": -9007199254740991,
      "error_message": "string",
      "next_retry_at": "2019-08-24T14:15:22Z",
      "last_attempt_at": "2019-08-24T14:15:22Z",
      "succeeded_at": "2019-08-24T14:15:22Z",
      "dead_lettered_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "payload": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "has_more": true,
  "total": 0
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新